# Contributing to ITS
ITS welcomes contributions to our [open source projects on GitLab](https://gitlab.com/its.bz).  
When contributing, please follow the [ITS Community Code of Conduct](CODE_OF_CONDUCT.md).

## Issues
Feel free to submit issues and enhancement requests.
Please use [Issues](https://gitlab.com/its.bz/opencash/-/issues) to report bugs and errors.

## Contributing
Please refer to each project's style and contribution guidelines for submitting patches and additions. In general, we follow the "fork-and-pull" Git workflow.
1. **Fork** the repo on GitHub
2. **Clone** the project to your own machine
3. **Commit** changes to your own branch
4. **Push** your work back up to your fork
5. Submit a **Pull request** so that we can review your changes

> NOTE: 
Be sure to merge the latest from "upstream" before making a pull request!

## Copyright and Licensing

Most ITS open source projects are licensed under the [Apache 2.0 license](http://www.apache.org/licenses/LICENSE-2.0).

ITS does not require you to assign the copyright of your contributions, you retain the copyright. ITS does require that you make your contributions available under the Apache 2.0 license in order for it be included in the main repo.

If appropriate, include the Apache 2.0 license summary at the top of each file along with the copyright info. If you are adding a new file that you wrote, include your name in the copyright notice in the license summary at the top of the file.

## License Summary

You can copy and paste the Apache 2.0 license summary from below.

```
Copyright 2021-2022 by ITS

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
```

## [FAQ](https://gitlab.com/ITS/contributing/issues?q=label%3Afaq+sort%3Aupdated-desc+is%3Aclosed)
